<p align="center"><img src="https://raw.githubusercontent.com/ayushsharma82/ESP-DASH/master/docs/img/logo-above.svg?sanitize=true" width="250"></p>

<hr/>

<p align="center">
<img src="https://img.shields.io/github/last-commit/ayushsharma82/ESP-DASH.svg?style=for-the-badge" />
&nbsp;
<img src="https://img.shields.io/travis/ayushsharma82/ESP-DASH/master?style=for-the-badge" />
&nbsp;
<img src="https://img.shields.io/github/license/ayushsharma82/ESP-DASH.svg?style=for-the-badge" />
&nbsp;
<a href="https://www.buymeacoffee.com/6QGVpSj" target="_blank"><img src="https://img.shields.io/badge/Buy%20me%20a%20coffee-%245-orange?style=for-the-badge&logo=buy-me-a-coffee" /></a>
</p>

<hr/>

<br/>

<p><b>ESP-DASH</b> is a Blazing fast library to create functional and realtime dashboard for <b>ESP8266</b> & <b>ESP32</b> Microcontrollers. It is <b>not</b> dependent on Internet. DASH V2 is the successor of previous generation and is fully rewritten to enhance performance and realtime capabilites. DASH V2 includes Line Charts, Temperature Cards, Humidity Cards and Buttons etc to create a perfect dashboard which is accessible locally via your device IP without the need of an internet connection.</p>

<br/>

<h2>Demo</h2>
<a href="https://ayushsharma82.github.io/ESP-DASH" target="_blank">Click Here</a>

<br/>
<br/>
<br/>

<h2>Features</h2>
<p>
  <ul style="list-style-position: inside;">
      <li>Works on Websockets</li>
      <li>Realtime updates</li>
      <li>Graphs Support</li>
      <li>Interactive UI Components</li>
      <li>Uses Async Webserver for better performance</li>
  </ul>
</p>

<br/>
<br/>

<h2>Dependencies</h2>
<p>
  <h5>For ESP8266:</h5>
  <ul style="list-style-position: inside;">
      <li>ESP8266 Arduino Core - <b>(latest)</b></li>
      <li>ESPAsyncTCP - <b>v1.2.0</b></li>
  	  <li>ESPAsyncWebServer - <b>v1.2.3</b></li>
      <li>ArduinoJson - <b>v6.15.2</b></li>
  </ul>
  
  <h5>For ESP32:</h5>
  <ul style="list-style-position: inside;">
      <li>ESP32 Arduino Core - <b>(latest)</b></li>
      <li>AsyncTCP - <b>v1.0.3</b></li>
  	  <li>ESPAsyncWebServer - <b>v1.2.3</b></li>
      <li>ArduinoJson - <b>v6.15.2</b></li>
  </ul>
</p>

<br/>

<h2>Documentation</h2>
<a href="https://github.com/ayushsharma82/ESP-DASH/wiki/Getting-Started">Click Here</a>

<br/>
<br/>
<br/>


<h2>License</h2>
ESP-DASH is licensed under General Public License v3 ( GPLv3 ).
<br/>
<br/>
<img src="https://img.shields.io/github/license/ayushsharma82/ESP-DASH.svg?style=for-the-badge" />
</div>
<br/>
<br/>

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/ayushsharma82/ESP-DASH/graphs/contributors"><img src="https://opencollective.com/espdash/contributors.svg?width=890&button=false" /></a>

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/espdash/contribute)]

#### Individuals

<a href="https://opencollective.com/espdash"><img src="https://opencollective.com/espdash/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/espdash/contribute)]

<a href="https://opencollective.com/espdash/organization/0/website"><img src="https://opencollective.com/espdash/organization/0/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/1/website"><img src="https://opencollective.com/espdash/organization/1/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/2/website"><img src="https://opencollective.com/espdash/organization/2/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/3/website"><img src="https://opencollective.com/espdash/organization/3/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/4/website"><img src="https://opencollective.com/espdash/organization/4/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/5/website"><img src="https://opencollective.com/espdash/organization/5/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/6/website"><img src="https://opencollective.com/espdash/organization/6/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/7/website"><img src="https://opencollective.com/espdash/organization/7/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/8/website"><img src="https://opencollective.com/espdash/organization/8/avatar.svg"></a>
<a href="https://opencollective.com/espdash/organization/9/website"><img src="https://opencollective.com/espdash/organization/9/avatar.svg"></a>
